INNERNET-SERVER(8)

NAME
innernet-server - manual page for innernet-server 1.6.0

SYNOPSIS
innernet-server [OPTIONS] <COMMAND>

DESCRIPTION
A server to coordinate innernet networks.

  Commands:

new Create a new network

uninstall
    Permanently uninstall a created network, rendering it unusable. Use with care

serve
    Serve the coordinating server for an existing network

add-peer
    Add a peer to an existing network

disable-peer
    Disable an enabled peer

enable-peer
    Enable a disabled peer

rename-peer
    Rename an existing peer

add-cidr
    Add a new CIDR to an existing network

delete-cidr
    Delete a CIDR

completions
    Generate shell completion scripts

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-c, --config-dir <CONFIG_DIR>
    [default: /etc/innernet-server]

-d, --data-dir <DATA_DIR>
    [default: /var/lib/innernet-server]

--no-routing
    Whether the routing should be done by innernet or is done by an external tool like e.g. babeld

--backend <BACKEND>
    Specify a WireGuard backend to use. If not set, innernet will auto-select based on availability [default: kernel] [possible values: kernel, userspace]

--mtu <MTU>
    Specify the desired MTU for your interface (default: 1280)

-h, --help
    Print help

-V, --version
    Print version